<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Daily cash</title>
  </head>
  <body>
    <main
      layout:fragment="main"
      class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
    >
      <div th:include="sidebar_reports::sidebar_reports" th:remove="tag">
        sidebar
      </div>

      <main class="bd-main-xxl">
        <div class="row">
          <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
              Daily cash
            </div>
          </div>
        </div>
        <form method="get">
          <div class="row">
            <div class="col-md-12">
              <p>Parameter tahun dan bulan diambil dari tanggal pengajuan..</p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-7">
              <div class="mb-3">
                <select class="form-select" id="selectdua" name="tahun">
                  <option
                    th:each="data : ${listTahun}"
                    th:selected="(${data} == *{tahunSelected})"
                    th:text="${data.getTahun()}"
                    th:value="${data.getTahun()}"
                  >
                    sdasd
                  </option>
                </select>
                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
              </div>
              <div class="mb-3">
                <select class="form-select" id="selecttiga" name="bulan">
                  <option
                    th:each="data : ${listBulan}"
                    th:selected="(${data} == *{bulanSelected})"
                    th:text="${data.getNama()}"
                    th:value="${data.getBulan()}"
                  >
                    sdasd
                  </option>
                </select>
                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
              </div>
            </div>
            <div class="col-md-1" align="right">
              <button
                type="submit"
                class="btn btn-default mb-2"
                style="--bs-btn-bg: #e8ecf1"
              >
                Search
              </button>

              <a th:href="@{/reports/dailycash/toexcel(bulan=${bulanSelected.getBulan()}, tahun = ${tahunSelected.getTahun()})}" class="btn btn-success">
                To Excel
              </a>
            </div>

            <div class="col-md-4" align="right">
              <!--                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">-->
              <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
            </div>
          </div>
          <br />
        </form>

        <div class="row" th:if="${success != null}">
          <div class="col-md-12">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
              <strong th:text="${success}">Holy guacamole!</strong>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          </div>
        </div>

        <div class="row" th:if="${error != null}">
          <div class="col-md-12">
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
              <strong th:text="${error}">Holy guacamole!</strong>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="tableFixHead">
              <table class="table small">
                <thead class="table-dark" style="--bs-table-bg: #15408d">
                  <tr>
                    <th scope="col" style="width: 10px">#</th>
                    <th scope="col">By</th>
                    <th scope="col">Code</th>
                    <th scope="col">Request Desc</th>
                    <th scope="col">Request</th>
                    <th scope="col">Disbursement</th>
                    <th scope="col">Realized</th>
                    <th scope="col">Refund</th>
                  </tr>
                </thead>
                <tbody th:each="dataKasHarian,row : ${listKasHarian}">
                  <tr>
                    <td rowspan="3" th:text="${(row.index + 1)}">1.</td>
                    <td class="table-light" style="--bs-table-bg: #d6e4fa">
                      <div
                        style="white-space: pre-wrap"
                        th:utext="${dataKasHarian.getNama()}"
                      >
                        Content
                      </div>
                    </td>
                    <td class="table-light" style="--bs-table-bg: #d6e4fa">
                      <span
                        style="white-space: pre-wrap"
                        th:utext="${dataKasHarian.getKode()}"
                      ></span>
                    </td>
                    <!--                                        <td>-->
                    <!--                                                        -->
                    <!--
                                                               </td>-->
                    <td
                      class="table-light"
                      style="--bs-table-bg: #d6e4fa; white-space: pre-wrap"
                      th:utext="${dataKasHarian.getName()}"
                    ></td>
                    <td
                      align="right"
                      class="table-light"
                      style="--bs-table-bg: #d6e4fa; white-space: pre-wrap"
                      th:utext="${dataKasHarian.getTanggalpengajuan()}"
                    ></td>
                    <td
                      align="right"
                      class="table-light"
                      style="--bs-table-bg: #d6e4fa"
                      th:text="${#temporals.format(dataKasHarian.getTanggalcair(),'dd-MMM-yyyy')}"
                    ></td>
                    <td
                      align="right"
                      class="table-light"
                      style="--bs-table-bg: #d6e4fa"
                      th:text="${#temporals.format(dataKasHarian.getTanggallaporan(),'dd-MMM-yyyy')}"
                    ></td>
                    <td
                      align="right"
                      class="table-light"
                      style="--bs-table-bg: #d6e4fa"
                      th:text="${#temporals.format(dataKasHarian.getTanggallaporan(),'dd-MMM-yyyy')}"
                    ></td>
                  </tr>
                  <tr>
                    <td></td>
                    <td></td>
                    <td>
                      <!--                                <div style="white-space: pre-wrap" th:utext="${dataKasHarian.getDeskripsi()}">Content</div>-->

                      <span
                        th:each="dataPengajuanDanaDetail,row : ${listPengajuanDanaDetail}"
                      >
                        <a
                          th:if="${dataPengajuanDanaDetail[17] == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDanaDetail[12]} == 'default.jpg'"
                        >
                          <span
                            style="color: #9e0505"
                            th:text="${dataPengajuanDanaDetail[5] + ', '}"
                          ></span>
                        </a>
                        <a
                          th:if="${dataPengajuanDanaDetail[17] == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDanaDetail[12]} != 'default.jpg'"
                          th:href="@{/pengajuan_dana/bukti(pengajuanDana = ${dataPengajuanDanaDetail[0]})}"
                          target="_blank"
                        >
                          <span
                            th:text="${dataPengajuanDanaDetail[5] + ', '}"
                          ></span>
                        </a>
                      </span>
                      <span
                        th:each="dataPengajuanDana,row : ${listPengajuanDana}"
                      >
                        <a
                          th:if="${dataPengajuanDana[0] == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDana[12]} == 'default.jpg'"
                        >
                          <span
                            style="color: #9e0505"
                            th:text="${dataPengajuanDana[5] + ', '}"
                          ></span>
                        </a>
                        <a
                          th:if="${dataPengajuanDana[0] == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDana[12]} != 'default.jpg'"
                          th:href="@{/pengajuan_dana/bukti(pengajuanDana = ${dataPengajuanDana[0]})}"
                          target="_blank"
                        >
                          <span th:text="${dataPengajuanDana[5]+ ', '}"></span>
                        </a>
                      </span>
                    </td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataKasHarian.getPengajuan(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td align="right">
                      <a
                        style="color: #9e0505"
                        th:if="${dataKasHarian.getBuktiPencairan() == 'default.jpg' && dataKasHarian.getDisburse() != null}"
                        th:text="${#numbers.formatDecimal(dataKasHarian.getDisburse(), 0, 'POINT', 2, 'COMMA')}"
                      >
                        No Attachment
                      </a>
                      <a
                        th:if="${dataKasHarian.getBuktiPencairan() != 'default.jpg' && dataKasHarian.getDisburse() != null}"
                        th:text="${#numbers.formatDecimal(dataKasHarian.getDisburse(), 0, 'POINT', 2, 'COMMA')}"
                        th:href="@{/pencairandanacair/{pencairanDana}/bukti/(pencairanDana = ${dataKasHarian.getIdPencairanDana()})}"
                        target="_blank"
                      >
                        View Attachment
                      </a>
                      <br>
                      <button th:if="${dataKasHarian.getDisburse() != null && dataKasHarian.getStatusAkunting() == 'POSTED'}" class="btn btn-success btn-sm pt-0 pb-0">Posted</button>
                      <button th:if="${dataKasHarian.getDisburse() != null && dataKasHarian.getStatusAkunting() == null || dataKasHarian.getStatusAkunting() == 'WAITING'}" class="btn btn-primary btn-sm pt-0 pb-0" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal' + ${dataKasHarian.getIdPencairanDana()}">
                        Post
                      </button>

                      <!-- Modal -->
                      <div th:if="${dataKasHarian.getDisburse() != null}" class="modal fade" th:id="'exampleModal' + ${dataKasHarian.getIdPencairanDana()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                          <form th:action="@{/accounting/post}" method="post">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Pencairan</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                              </div>
                              <div class="modal-body">
                                <div class="row mb-3">
                                  <div class="col-md-12">
                                    <div class="shadow-sm border p-3 align-content-start text-start rounded-3">
                                      <span class="text-success mb-3 text-bold">Detail Pencairan</span>
                                      <br>
                                      <span th:text="${'Keterangan : ' + dataKasHarian.getDeskripsi()}"></span>
                                      <!--                                    <input type="hidden" name="idLaporanDana" th:value="${dataLaporanDana[0]}">-->
                                      <!--                                    <input type="hidden" name="description" th:value="${dataLaporanDana[3]}">-->
                                      <input type="hidden" name="idPencairan" th:value="${dataKasHarian.getIdPencairanDana()}">
                                      <input type="hidden" name="description" th:value="${dataKasHarian.getDeskripsi()}">
                                      <input type="hidden" name="bulanSelected" th:value="${bulanSelected.getBulan()}">
                                      <input type="hidden" name="tahunSelected" th:value="${tahunSelected.getTahun()}">
                                      <br>
                                      <span th:utext="${'Nominal : ' + #numbers.formatDecimal(dataKasHarian.getPengajuan(), 0, 'POINT', 2, 'COMMA')}"></span>
                                      <br>
                                    </div>
                                  </div>
                                </div>
                                <div class="row mb-3">
                                  <div class="col-md-12 align-content-start text-start mb-3">
                                    <div class="label">Pilih Template : </div>
                                    <select class="form-select text-start" name="journalTemplate" id="journalTemplateSelectPencairan">
                                      <option value="">-Pilih Template-</option>
                                      <option th:each="data : ${journalTemplates}"
                                              th:text="${'('+ data.getCode() +')'  + ' - ' + data.getName() + ' - ' + data.getCategory()}"
                                              th:value="${data.getId()}"></option>
                                    </select>
                                  </div>
                                  <div class="col-md-12 align-content-end">
                                    <button type="button" class="btn btn-info btn-sm mt-3" id="btnPilihPencairan">Pilih Template</button>
                                  </div>
                                </div>

                                <div class="row">
                                  <div class="col-md-12">
                                    <table class="table table-striped" id="journalTemplateTablePencairan">
                                      <thead class="table-primary">
                                      <tr>
                                        <th>No</th>
                                        <th>Akun</th>
                                        <th>Tipe</th>
                                        <th>Amount</th>
                                      </tr>
                                      </thead>
                                      <tbody id="journalTemplateDetailsPencairan">
                                      <tr>
                                        <td colspan="4">Silakan pilih template jurnal.</td>
                                      </tr>
                                      </tbody>
                                    </table>
                                  </div>
                                </div>
                              </div>
                              <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Save changes</button>
                              </div>
                            </div>
                          </form>
                        </div>
                      </div>

                    </td>
                    <td align="right" >
                      <div th:each="dataLaporanDana,row : ${listLaporanDana}">
                      <span >
                        <a
                          th:if="${dataLaporanDana[15] == dataKasHarian.getIdPencairanDana()} and ${dataLaporanDana[10]} == 'default.jpg'"
                        >
                          <span
                            style="color: #9e0505"
                            th:utext="${#numbers.formatDecimal(dataLaporanDana[5], 0, 'POINT', 2, 'COMMA')}"
                          ></span>
                        </a>
                        <!--                                                                        <a th:if="${dataLaporanDana[15] == dataKasHarian.getIdPencairanDana()} and ${dataLaporanDana[10]} != 'default.jpg'" th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${dataLaporanDana[0]})}" target="_blank">-->
                        <!--                                                                            <span th:utext="${#numbers.formatDecimal(dataLaporanDana[5], 0, 'POINT', 2, 'COMMA')}"></span>-->
                        <!--                                                                        </a>-->
                        <a
                          th:if="${dataLaporanDana[16] == dataKasHarian.getIdPencairanDana()} and ${dataLaporanDana[10]} != 'default.jpg'"
                          th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${dataLaporanDana[0]})}"
                          target="_blank"
                        >
                          <span
                            th:utext="${#numbers.formatDecimal(dataLaporanDana[5], 0, 'POINT', 2, 'COMMA')}"
                          ></span>
                        </a>
                      </span>
                      <button class="btn btn-success btn-sm pt-0 pb-0" th:if="${dataLaporanDana[16] == dataKasHarian.getIdPencairanDana() && dataLaporanDana[15] == 'POSTED'}">Posted</button>
                      <button th:if="${dataLaporanDana[16] == dataKasHarian.getIdPencairanDana() && dataLaporanDana[15] == 'WAITING'}" class="btn btn-primary btn-sm pt-0 pb-0" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModalLaporan'+${dataLaporanDana[0]}">
                        Post
                      </button>

                      <!-- Modal -->
                      <div class="modal fade" th:id="exampleModalLaporan+${dataLaporanDana[0]}"  tabindex="-1" aria-labelledby="exampleModalLabelLaporan" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                          <form th:action="@{/accounting/post}" method="post">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabelLaporan">Catat Ke Jurnal</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                              </div>
                              <div class="modal-body">
                                <div class="row mb-3">
                                  <div class="col-md-12">
                                    <div class="shadow-sm border p-3 align-content-start text-start rounded-3">
                                      <span class="text-success mb-3 text-bold">Detail Laporan</span>
                                      <br>
                                      <span th:text="${'Keterangan : ' + dataLaporanDana[3]}"></span>
                                      <input type="hidden" name="idLaporanDana" th:value="${dataLaporanDana[0]}">
                                      <input type="hidden" name="description" th:value="${dataLaporanDana[3]}">
                                      <input type="hidden" name="bulanSelected" th:value="${bulanSelected.getBulan()}">
                                      <input type="hidden" name="tahunSelected" th:value="${tahunSelected.getTahun()}">
                                      <br>
                                      <span th:utext="${'Nominal : ' + #numbers.formatDecimal(dataLaporanDana[5], 0, 'POINT', 2, 'COMMA')}"></span>
                                      <br>
                                      <a th:if="${dataLaporanDana[10]} == 'default.jpg'">
                                        <span style="color: #9e0505">No Attachment</span>
                                      </a>
                                      <a th:if="${dataLaporanDana[10]} != 'default.jpg'"
                                         th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${dataLaporanDana[0]})}" target="_blank">
                                        <span>Attachment</span>
                                      </a>
                                    </div>
                                  </div>
                                </div>

                                <div class="row mb-3">
                                  <div class="col-md-12 align-content-start text-start mb-3">
                                    <div class="label">Pilih Template : </div>
                                    <select class="form-select text-start" name="journalTemplate" id="journalTemplateSelect">
                                      <option value="">-Pilih Template-</option>
                                      <option th:each="data : ${journalTemplates}"
                                              th:text="${'('+ data.getCode() +')'  + ' - ' + data.getName() + ' - ' + data.getCategory()}"
                                              th:value="${data.getId()}"></option>
                                    </select>
                                  </div>
                                  <div class="col-md-12 align-content-end">
                                    <button type="button" class="btn btn-info btn-sm mt-3" id="btnPilih">Pilih Template</button>
                                  </div>
                                </div>

                                <div class="row">
                                  <div class="col-md-12">
                                    <table class="table table-striped" id="journalTemplateTable">
                                      <thead class="table-primary">
                                      <tr>
                                        <th>No</th>
                                        <th>Akun</th>
                                        <th>Tipe</th>
                                        <th>Amount</th>
                                      </tr>
                                      </thead>
                                      <tbody id="journalTemplateDetails">
                                      <tr>
                                        <td colspan="4">Silakan pilih template jurnal.</td>
                                      </tr>
                                      </tbody>
                                    </table>
                                  </div>
                                </div>
                              </div>
                              <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Save changes</button>
                              </div>
                            </div>
                          </form>
                        </div>
                      </div>
                      </div>
                    </td>

                    <td align="right">
                      <span
                        th:text="${#numbers.formatDecimal(dataKasHarian.getSelisih(), 0, 'POINT', 2, 'COMMA')}"
                        align="right"
                        >-</span
                      >
                    </td>
                  </tr>
                  <tr>
                    <td colspan="5" align="right">Total realized</td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataKasHarian.getRealisasi(), 0, 'POINT', 2, 'COMMA')}"
                    >
                      Detail
                    </td>
                    <td></td>
                  </tr>
                </tbody>
              </table>
            </div>
            <br />

            <!--                <nav aria-label="Page navigation example">-->
            <!--                    <ul class="pagination" sd:pagination="full">-->
            <!--                    </ul>-->
            <!--                </nav>-->
          </div>
        </div>
      </main>
    </main>



  </body>
</html>
<!--<script>-->
<!--  $(document).ready(function() {-->
<!--    $('#journalTemplate').select2({-->
<!--      placeholder: "-Pilih Template-",-->
<!--      allowClear: true-->
<!--    });-->

<!--    // Menangani event perubahan select-->
<!--    $('#journalTemplate').on('change', function() {-->
<!--      var selectedValue = $(this).val();-->
<!--      updateJournalTemplateDetails(selectedValue);-->
<!--    });-->
<!--  });-->
<!--</script>-->

<script>
  $(document).ready(function() {
    // Open modal event

    $('button[data-bs-toggle="modal"]').on('click', function() {
      let modalId = $(this).attr('data-bs-target'); // Get modal ID
      let modal = $(modalId); // Dynamic modal selector

      // Initialize select2 when modal is shown
      modal.on('shown.bs.modal', function() {
        modal.find('#journalTemplateSelect').select2({
          theme: "bootstrap-5",
          width: '100%',
          dropdownParent: modal // Proper dropdownParent set to the modal
        });
      });

      modal.on('shown.bs.modal', function() {
        modal.find('#journalTemplateSelectPencairan').select2({
          theme: "bootstrap-5",
          width: '100%',
          dropdownParent: modal // Proper dropdownParent set to the modal
        });
      });

      modal.on('hidden.bs.modal', function () {
        modal.find('#journalTemplateSelect').select2('destroy');
      });

      // Button click event for template selection
      modal.find('#btnPilih').off('click').on('click', function(e) {
        e.preventDefault(); // Prevent default action

        let selectedValue = modal.find('#journalTemplateSelect').val();
        let selectedText = modal.find('#journalTemplateSelect option:selected').text();

        console.log("Selected value:", selectedValue);
        console.log("Selected text:", selectedText);

        if (!selectedValue) {
          alert("Silakan pilih template terlebih dahulu.");
        } else {
          updateJournalTemplateDetails(selectedValue); // Call function to update the table
        }
      });

      modal.find('#btnPilihPencairan').off('click').on('click', function(e) {
        e.preventDefault(); // Prevent default action

        let selectedValue = modal.find('#journalTemplateSelectPencairan').val();
        let selectedText = modal.find('#journalTemplateSelectPencairan option:selected').text();

        console.log("Selected value:", selectedValue);
        console.log("Selected text:", selectedText);

        if (!selectedValue) {
          alert("Silakan pilih template terlebih dahulu.");
        } else {
          updateJournalTemplateDetailsPencairan(selectedValue); // Call function to update the table
        }
      });

      let table = modal.find('#journalTemplateDetails');
      let tablePencairan = modal.find('#journalTemplateDetailsPencairan');

      function updateJournalTemplateDetails(templateId) {
        if (!templateId) {
          table.html('<tr><td colspan="4">Silakan pilih template jurnal.</td></tr>');
          return;
        }

        // API call to get journal template details
        fetch(`/public/api/journal-template/detail/${templateId}`)
                .then(response => response.json())
                .then(data => {
                  table.empty(); // Clear previous table content

                  if (data.length === 0) {
                    table.html('<tr><td colspan="4">Tidak ada data tersedia untuk template ini.</td></tr>');
                  } else {
                    data.forEach((detail, index) => {
                      let badgeClass = detail.balanceType === "DEBET" ? "bg-success" : "bg-danger";

                      table.append(`
                  <tr>
                    <td>${index + 1}</td>
                    <td>${detail.account}</td>
                    <td><span class="badge ${badgeClass}">${detail.balanceType}</span></td>
                    <td>
                      <input type="text" class="form-control" required name="amounts" value=""
                             oninput="formatCurrency(this)"
                             onblur="formatCurrency(this)"
                             onkeypress="return isNumberKey(event)">
                    </td>
                  </tr>
                `);
                    });
                  }
                })
                .catch(error => {
                  console.error('Error fetching journal template details:', error);
                  table.html('<tr><td colspan="4">Terjadi kesalahan saat mengambil data. Silakan coba lagi nanti.</td></tr>');
                });
      }

      function updateJournalTemplateDetailsPencairan(templateId) {
        if (!templateId) {
          tablePencairan.html('<tr><td colspan="4">Silakan pilih template jurnal.</td></tr>');
          return;
        }

        // API call to get journal template details
        fetch(`/public/api/journal-template/detail/${templateId}`)
                .then(response => response.json())
                .then(data => {
                  tablePencairan.empty(); // Clear previous table content

                  if (data.length === 0) {
                    tablePencairan.html('<tr><td colspan="4">Tidak ada data tersedia untuk template ini.</td></tr>');
                  } else {
                    data.forEach((detail, index) => {
                      let badgeClass = detail.balanceType === "DEBET" ? "bg-success" : "bg-danger";

                      tablePencairan.append(`
                  <tr>
                    <td>${index + 1}</td>
                    <td>${detail.account}</td>
                    <td><span class="badge ${badgeClass}">${detail.balanceType}</span></td>
                    <td>
                      <input type="text" class="form-control" required name="amounts" value=""
                             oninput="formatCurrency(this)"
                             onblur="formatCurrency(this)"
                             onkeypress="return isNumberKey(event)">
                    </td>
                  </tr>
                `);
                    });
                  }
                })
                .catch(error => {
                  console.error('Error fetching journal template details:', error);
                  tablePencairan.html('<tr><td colspan="4">Terjadi kesalahan saat mengambil data. Silakan coba lagi nanti.</td></tr>');
                });
      }



    });
  });

  // Currency formatting function
  function formatCurrency(input) {
    let value = input.value;

    // Remove non-numeric characters except commas
    value = value.replace(/[^\d,]/g, '');

    // Split by comma to separate decimal if any
    const parts = value.split(',');
    value = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, '.'); // Add thousand separators
    if (parts.length > 1) {
      value += ',' + parts[1];
    }

    // Update input value
    input.value = value;
  }
</script>


